Index: squid/errors/Spanish/ERR_SHUTTING_DOWN
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_SHUTTING_DOWN,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_SHUTTING_DOWN	26 Jan 2000 03:23:10 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_SHUTTING_DOWN	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,17 +1,18 @@
 <HTML><HEAD>
-<TITLE>ERROR: The requested URL could not be retrieved</TITLE>
+<TITLE>ERROR: El URL solicitado no se ha podido conseguir</TITLE>
 </HEAD><BODY>
 <H1>ERROR</H1>
-<H2>The requested URL could not be retrieved</H2>
+<H2>El URL solicitado no se ha podido conseguir</H2>
 <HR>
 <P>
-While trying to retrieve the URL:
+Mientras se intentaba traer el URL:
 <A HREF="%U">%U</A>
 <P>
-The following error was encountered:
+Ha ocurrido el siguiente problema:
 <UL>
-<P>
-This cache is in the process of shutting down and can not
-service your request at this time.  Please retry your
-request again soon.
-</P>
+
+Esta cach&eacute; esta siendo desactivado y no puede atender su
+solicitud en este momento. Por favor reintente su solicitud
+nuevamente m&aacute;s tarde.
+
+</UL>
Index: squid/errors/Spanish/ERR_SOCKET_FAILURE
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_SOCKET_FAILURE,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_SOCKET_FAILURE	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_SOCKET_FAILURE	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -22,4 +22,4 @@
 
 <P>
 Squid ha sido incapaz de crear un puerto TCP, posiblemente debido
-al exceso de carga. Inténtelo de nuevo, por favor.
+al exceso de carga. Int&eacute;ntelo de nuevo, por favor.
Index: squid/errors/Spanish/ERR_UNSUP_REQ
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_UNSUP_REQ,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_UNSUP_REQ	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_UNSUP_REQ	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -12,10 +12,10 @@
 <UL>
 <LI>
 <STRONG>
-Método de la petición y protocolo no soportados
+M&eacute;todo de la petici&oacute;n y protocolo no soportados
 </STRONG>
 </UL>
 
 <P>
-Squid no admite todos los métodos para todos los protocolos de acceso.
+Squid no admite todos los m&eacute;todos para todos los protocolos de acceso.
 Por ejemplo, no se puede hacer un POST a un servidor Gopher.
Index: squid/errors/Spanish/ERR_URN_RESOLVE
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_URN_RESOLVE,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_URN_RESOLVE	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_URN_RESOLVE	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -17,5 +17,5 @@
 </UL>
 
 <P>
-Hey, no espere mucho sobre URNs en %T :)
+Hey, no espere mucho de URNs en %T :)
 </P>
Index: squid/errors/Spanish/ERR_WRITE_ERROR
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_WRITE_ERROR,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_WRITE_ERROR	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_WRITE_ERROR	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -21,5 +21,5 @@
 <PRE><I>    %E</I></PRE>
 
 <P>
-Se ha producido un error mientras se escribían datos en la red.
-Por favor, inténtelo de nuevo.
+Se ha producido un error mientras se escrib&iacute;an datos en la red.
+Por favor, int&eacute;ntelo de nuevo.
Index: squid/errors/Spanish/ERR_ZERO_SIZE_OBJECT
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/ERR_ZERO_SIZE_OBJECT,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/ERR_ZERO_SIZE_OBJECT	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/ERR_ZERO_SIZE_OBJECT	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -12,10 +12,11 @@
 <UL>
 <LI>
 <STRONG>
-Respuesta vacía (tamaño cero)
+Respuesta vac&iacute;a (tama&ntilde;o cero)
 </STRONG>
 </UL>
 
 <P>
-Squid no ha recibido ninguna información en respuesta a esta petición.
+Squid no ha recibido ninguna informaci&oacute;n en respuesta a esta 
+petici&oacute;n.
 </P>
Index: squid/errors/Spanish/README
===================================================================
RCS file: /cvsroot/squid-sf//squid/errors/Spanish/README,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/errors/Spanish/README	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/errors/Spanish/README	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,3 @@
-Thanks to Javier Puche <javier.puche@rediris.es>,
-and Roberto Lumbreras <rover-squid@lander.es>
+Thanks to Javier Puche <javier.puche@rediris.es>, Roberto Lumbreras
+<rover-squid@lander.es>, and Juan Nicolas Ruiz N. <nicolas@ula.ve>
 for creating these error pages in Spanish!
-
-Note: character set is ISO-LATIN-1
Index: squid/include/autoconf.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/autoconf.h.in,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/include/autoconf.h.in	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/include/autoconf.h.in	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -70,6 +70,9 @@
 /* Define to use async disk I/O operations */
 #undef USE_ASYNC_IO
 
+/* Defines how many threads to use for async I/O */
+#undef NUMTHREADS
+
 /*
  * If you want to use Squid's ICMP features (highly recommended!) then
  * define this.  When USE_ICMP is defined, Squid will send ICMP pings
@@ -105,6 +108,11 @@
 #undef SQUID_SNMP
 
 /*
+ * Define to enable WCCP
+ */
+#define USE_WCCP 1
+
+/*
  * Squid frequently calls gettimeofday() for accurate timestamping.
  * If you are concerned that gettimeofday() is called too often, and
  * could be causing performance degradation, then you can define
@@ -247,10 +255,31 @@
 #undef HAVE_STATVFS
 
 /*
- * we check for struct mallinfo
+ * If --disable-internal-dns was given to configure, then we'll use
+ * the dnsserver processes instead.
+ */
+#undef USE_DNSSERVERS
+
+/*
+ * we check for the existance of struct mallinfo
  */
 #undef HAVE_STRUCT_MALLINFO
 
+/*
+ * Do we want to use truncate(2) or unlink(2)?
+ */
+#undef USE_TRUNCATE
+
+/*
+ * Allow underscores in host names
+ */
+#undef ALLOW_HOSTNAME_UNDERSCORES
+
+/*
+ * Use the heap-based replacement techniques
+ */
+#undef HEAP_REPLACEMENT
+
 /* The number of bytes in a int.  */
 #undef SIZEOF_INT
 
@@ -350,6 +379,9 @@
 /* Define if you have the seteuid function.  */
 #undef HAVE_SETEUID
 
+/* Define if you have the setgroups function.  */
+#undef HAVE_SETGROUPS
+
 /* Define if you have the setpgrp function.  */
 #undef HAVE_SETPGRP
 
Index: squid/include/cache_snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/cache_snmp.h,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/include/cache_snmp.h	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/include/cache_snmp.h	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_snmp.h,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: cache_snmp.h,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  */
 
 #ifdef SQUID_SNMP
@@ -25,12 +25,12 @@
 
 /* MIB definitions
  * SQUID-MIB
- * 	.iso.org.dod.internet.private.enterprises.nlanr.squid
- *	  1   3   6     1        4         1      3495    1
+ *      .iso.org.dod.internet.private.enterprises.nlanr.squid
+ *        1   3   6     1        4         1      3495    1
  *
  * PROXY-MIB
- *	.iso.org.dod.internet.experimental.nsfnet.proxy
- *	  1   3   6     1          3         25    17
+ *      .iso.org.dod.internet.experimental.nsfnet.proxy
+ *        1   3   6     1          3         25    17
  */
 
 #define SQUIDMIB 1, 3, 6, 1, 4, 1, 3495, 1
@@ -53,8 +53,8 @@
 #define LEN_SQ_MESH LEN_SQUIDMIB+1
 
 /* 
-	cacheSystem group 
-*/
+ * cacheSystem group 
+ */
 
 enum {
     SYS_START,
@@ -68,8 +68,8 @@
 #define LEN_SYS_INST LEN_SQ_SYS + 2
 
 /* 
-	cacheConfig group 
-*/
+ * cacheConfig group 
+ */
 
 enum {
     CONF_START,
@@ -97,8 +97,8 @@
 #define LEN_CONF_ST_INST LEN_CONF + 2
 
 /* 
-	cacheMesh group 
-*/
+ * cacheMesh group 
+ */
 
 enum {
     MESH_START,
@@ -140,8 +140,8 @@
 };
 
 /* 
-	cacheNetwork group 
-*/
+ * cacheNetwork group 
+ */
 
 enum {
     NET_START,
@@ -185,8 +185,8 @@
 };
 
 /* 
-	Cache Performance Group 
-*/
+ * Cache Performance Group 
+ */
 
 enum {
     PERF_START,
Index: squid/include/config.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/config.h.in,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/include/config.h.in	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/include/config.h.in	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,5 +1,5 @@
 /*
- * $Id: config.h.in,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: config.h.in,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: Duane Wessels
  *
@@ -100,6 +100,9 @@
 #elif defined(__CYGWIN32__) || defined(WIN32) || defined(WINNT) || defined(__WIN32__) || defined(__WIN32)
 #define _SQUID_MSWIN_
 
+#elif defined(__APPLE__)
+#define _SQUID_APPLE_
+
 #elif defined(sony_news) && defined(__svr4)
 #define _SQUID_NEWSOS6_
 
@@ -162,12 +165,6 @@
 #define xislower(x) islower((unsigned char)x)
 #define xisalpha(x) isalpha((unsigned char)x)
 
-#if defined(O_NONBLOCK) && !defined(_SQUID_SUNOS_) && !defined(_SQUID_SOLARIS_)
-#define SQUID_NONBLOCK O_NONBLOCK
-#else
-#define SQUID_NONBLOCK O_NDELAY
-#endif
-
 #if HAVE_RANDOM
 #define squid_random random
 #define squid_srandom srandom
Index: squid/include/heap.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/heap.h,v
retrieving revision 1.1
retrieving revision 1.1.1.1
diff -u -r1.1 -r1.1.1.1
--- squid/include/heap.h	26 Jan 2000 03:25:00 -0000	1.1
+++ squid/include/heap.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
@@ -1,5 +1,5 @@
 /*
- * $Id: heap.h,v 1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: heap.h,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
Index: squid/include/rfc1035.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/rfc1035.h,v
retrieving revision 1.1
retrieving revision 1.1.1.1
diff -u -r1.1 -r1.1.1.1
--- squid/include/rfc1035.h	26 Jan 2000 03:25:00 -0000	1.1
+++ squid/include/rfc1035.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1035.h,v 1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: rfc1035.h,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: Harvest Derived
  *
Index: squid/include/snmp_vars.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_vars.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/include/snmp_vars.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/snmp_vars.h	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_vars.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: snmp_vars.h,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  * 
  **********************************************************************/
 
@@ -48,6 +48,7 @@
 #endif
 
     struct variable_list *snmp_var_new(oid *, int);
+    struct variable_list *snmp_var_new_integer(oid *, int, int, unsigned char);
     struct variable_list *snmp_var_clone(struct variable_list *);
     void snmp_var_free(struct variable_list *);
 
@@ -58,8 +59,7 @@
 }
 
 #endif
-#define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2
-*
+#define MAX_NAME_LEN	64	/* number of subid's in a objid *//*      *RFC 1902:Structure of Management Information for SNMPv2      *
       *Defined Types
 *
       */
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/include/splay.h	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/include/splay.h	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.h,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: splay.h,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  */
 
 
@@ -9,8 +9,8 @@
     struct _splay_node *right;
 } splayNode;
 
-typedef int SPLAYCMP(const void *, splayNode *);
-typedef void SPLAYWALKEE(void *, void *);
+typedef int SPLAYCMP(const void *a, const void *b);
+typedef void SPLAYWALKEE(void *nodedata, void *state);
 typedef void SPLAYFREE(void *);
 
 extern int splayLastResult;
Index: squid/include/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/util.h,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/include/util.h	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/include/util.h	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: util.h,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -80,6 +80,8 @@
 
 /* rfc1738.c */
 extern char *rfc1738_escape(const char *);
+extern char *rfc1738_escape_unescaped(const char *);
+extern char *rfc1738_escape_part(const char *);
 extern void rfc1738_unescape(char *);
 
 #if XMALLOC_STATISTICS
Index: squid/include/version.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/version.h,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/include/version.h	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/include/version.h	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,12 +1,12 @@
 /*
- * $Id: version.h,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: version.h,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
 #ifndef SQUID_VERSION
-#define SQUID_VERSION	"2.2.STABLE5"
+#define SQUID_VERSION	"2.3.STABLE1"
 #endif
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 938113298
+#define SQUID_RELEASE_TIME 947484665
 #endif
Index: squid/lib/Array.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Array.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/Array.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/Array.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Array.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: Array.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -89,7 +89,7 @@
 {
     assert(a);
     if (a->count >= a->capacity)
-	arrayGrow(a, a->count+1);
+	arrayGrow(a, a->count + 1);
     a->items[a->count++] = obj;
 }
 
@@ -111,15 +111,15 @@
     assert(a->capacity < min_capacity);
     delta = min_capacity;
     /* make delta a multiple of min_delta */
-    delta += min_delta-1;
+    delta += min_delta - 1;
     delta /= min_delta;
     delta *= min_delta;
     /* actual grow */
     assert(delta > 0);
     a->capacity += delta;
     a->items = a->items ?
-	xrealloc(a->items, a->capacity * sizeof(void*)) :
-	xmalloc(a->capacity * sizeof(void*));
+	xrealloc(a->items, a->capacity * sizeof(void *)) :
+         xmalloc(a->capacity * sizeof(void *));
     /* reset, just in case */
-    memset(a->items+a->count, 0, (a->capacity-a->count) * sizeof(void*));
+    memset(a->items + a->count, 0, (a->capacity - a->count) * sizeof(void *));
 }
Index: squid/lib/Stack.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Stack.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/Stack.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/Stack.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: Stack.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -55,8 +55,8 @@
 }
 
 void *
-stackTop(Stack *s)
+stackTop(Stack * s)
 {
     assert(s);
-    return s->count ? s->items[s->count-1] : NULL;
+    return s->count ? s->items[s->count - 1] : NULL;
 }
Index: squid/lib/drand48.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/drand48.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/drand48.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/drand48.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,6 +1,8 @@
+
+
 /* borrowed from libc/misc/drand48.c in Linux libc-5.4.46 this quick
-   hack by Martin Hamilton <martinh@gnu.org> to make Squid build on
-   Win32 with GNU-Win32 - sorry, folks! */
+ * hack by Martin Hamilton <martinh@gnu.org> to make Squid build on
+ * Win32 with GNU-Win32 - sorry, folks! */
 
 #ifndef HAVE_DRAND48
 
@@ -20,34 +22,36 @@
 #define A2	0x5
 #define C	0xB
 
-static void next( void );
-static unsigned x[3] = { X0, X1, X2 }, a[3] = { A0, A1, A2 }, c = C;
+static void next(void);
+static unsigned x[3] =
+{X0, X1, X2}, a[3] =
+{A0, A1, A2}, c = C;
 
-double drand48( void );
+double drand48(void);
 
 double
-drand48( void )
+drand48(void)
 {
-	static double two16m = 1.0 / (1L << N);
-	next();
-	return (two16m * (two16m * (two16m * x[0] + x[1]) + x[2]));
+    static double two16m = 1.0 / (1L << N);
+    next();
+    return (two16m * (two16m * (two16m * x[0] + x[1]) + x[2]));
 }
 
 static void
-next( void )
+next(void)
 {
-	unsigned p[2], q[2], r[2], carry0, carry1;
+    unsigned p[2], q[2], r[2], carry0, carry1;
 
-	MUL(a[0], x[0], p);
-	ADDEQU(p[0], c, carry0);
-	ADDEQU(p[1], carry0, carry1);
-	MUL(a[0], x[1], q);
-	ADDEQU(p[1], q[0], carry0);
-	MUL(a[1], x[0], r);
-	x[2] = LOW(carry0 + carry1 + CARRY(p[1], r[0]) + q[1] + r[1] +
-		a[0] * x[2] + a[1] * x[1] + a[2] * x[0]);
-	x[1] = LOW(p[1] + r[0]);
-	x[0] = LOW(p[0]);
+    MUL(a[0], x[0], p);
+    ADDEQU(p[0], c, carry0);
+    ADDEQU(p[1], carry0, carry1);
+    MUL(a[0], x[1], q);
+    ADDEQU(p[1], q[0], carry0);
+    MUL(a[1], x[0], r);
+    x[2] = LOW(carry0 + carry1 + CARRY(p[1], r[0]) + q[1] + r[1] +
+	a[0] * x[2] + a[1] * x[1] + a[2] * x[0]);
+    x[1] = LOW(p[1] + r[0]);
+    x[0] = LOW(p[0]);
 }
 
 #endif /* HAVE_DRAND48 */
Index: squid/lib/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/hash.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/hash.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/hash.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: hash.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: hash.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -309,7 +309,7 @@
 {
     assert(hid);
     if (hid->buckets)
-        xfree(hid->buckets);
+	xfree(hid->buckets);
     xfree(hid);
 }
 
Index: squid/lib/heap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/heap.c,v
retrieving revision 1.1
retrieving revision 1.1.1.1
diff -u -r1.1 -r1.1.1.1
--- squid/lib/heap.c	26 Jan 2000 03:25:00 -0000	1.1
+++ squid/lib/heap.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: heap.c,v 1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: heap.c,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
Index: squid/lib/md5.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/md5.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/md5.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/md5.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: md5.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: md5.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  */
 
 /* taken from RFC-1321/Appendix A.3 */
@@ -358,4 +358,5 @@
     for (i = 0; i < len; i++)
 	output[i] = (char) value;
 }
+
 #endif
Index: squid/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1035.c,v
retrieving revision 1.1
retrieving revision 1.1.1.1
diff -u -r1.1 -r1.1.1.1
--- squid/lib/rfc1035.c	26 Jan 2000 03:25:00 -0000	1.1
+++ squid/lib/rfc1035.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.1 2000/01/26 03:25:00 hno Exp $
+ * $Id: rfc1035.c,v 1.1.1.1 2000/01/26 03:25:00 hno Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
Index: squid/lib/rfc1123.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1123.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/rfc1123.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/rfc1123.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1123.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: rfc1123.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -119,7 +119,7 @@
 	s++;			/* or: Thu, 10 Jan 1993 01:29:59 GMT */
 	while (*s == ' ')
 	    s++;
-	if (xisdigit(*s) && !xisdigit(*(s+1))) /* backoff if only one digit */
+	if (xisdigit(*s) && !xisdigit(*(s + 1)))	/* backoff if only one digit */
 	    s--;
 	if (strchr(s, '-')) {	/* First format */
 	    if ((int) strlen(s) < 18)
@@ -237,16 +237,17 @@
     gmt_yday = gmt->tm_yday;
 
     lt = localtime(t);
-    day_offset = lt->tm_yday - gmt_yday;
-    min_offset = day_offset * 1440 + (lt->tm_hour - gmt_hour) * 60
-	+ (lt->tm_min - gmt_min);
 
+    day_offset = lt->tm_yday - gmt_yday;
     /* wrap round on end of year */
     if (day_offset > 1)
 	day_offset = -1;
     else if (day_offset < -1)
 	day_offset = 1;
 
+    min_offset = day_offset * 1440 + (lt->tm_hour - gmt_hour) * 60
+	+ (lt->tm_min - gmt_min);
+
     len = strftime(buf, 127 - 5, "%d/%b/%Y:%H:%M:%S ", lt);
     snprintf(buf + len, 128 - len, "%+03d%02d",
 	(min_offset / 60) % 24,
Index: squid/lib/rfc1738.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1738.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/rfc1738.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/rfc1738.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1738.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: rfc1738.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -54,7 +54,9 @@
     (char) 0x3E,		/* > */
     (char) 0x22,		/* " */
     (char) 0x23,		/* # */
+#if 0				/* done in code */
     (char) 0x25,		/* % */
+#endif
     (char) 0x7B,		/* { */
     (char) 0x7D,		/* } */
     (char) 0x7C,		/* | */
@@ -68,12 +70,23 @@
     (char) 0x20			/* space */
 };
 
+static char rfc1738_reserved_chars[] =
+{
+    (char) 0x3b,		/* ; */
+    (char) 0x2f,		/* / */
+    (char) 0x3f,		/* ? */
+    (char) 0x3a,		/* : */
+    (char) 0x40,		/* @ */
+    (char) 0x3d,		/* = */
+    (char) 0x26			/* & */
+};
+
 /*
  *  rfc1738_escape - Returns a static buffer contains the RFC 1738 
  *  compliant, escaped version of the given url.
  */
-char *
-rfc1738_escape(const char *url)
+static char *
+rfc1738_do_escape(const char *url, int encode_reserved)
 {
     static char *buf;
     static size_t bufsize = 0;
@@ -96,6 +109,16 @@
 		break;
 	    }
 	}
+	/* Handle % separately */
+	if (encode_reserved >= 0 && *p == '%')
+	    do_escape = 1;
+	/* RFC 1738 defines these chars as reserved */
+	for (i = 0; i < sizeof(rfc1738_reserved_chars) && encode_reserved > 0; i++) {
+	    if (*p == rfc1738_reserved_chars[i]) {
+		do_escape = 1;
+		break;
+	    }
+	}
 	/* RFC 1738 says any control chars (0x00-0x1F) are encoded */
 	if ((unsigned char) *p <= (unsigned char) 0x1F) {
 	    do_escape = 1;
@@ -125,6 +148,36 @@
 }
 
 /*
+ * rfc1738_escape - Returns a static buffer that contains the RFC
+ * 1738 compliant, escaped version of the given url.
+ */
+char *
+rfc1738_escape(const char *url)
+{
+    return rfc1738_do_escape(url, 0);
+}
+
+/*
+ * rfc1738_escape_unescaped - Returns a static buffer that contains
+ * the RFC 1738 compliant, escaped version of the given url.
+ */
+char *
+rfc1738_escape_unescaped(const char *url)
+{
+    return rfc1738_do_escape(url, -1);
+}
+
+/*
+ * rfc1738_escape_part - Returns a static buffer that contains the
+ * RFC 1738 compliant, escaped version of the given url segment.
+ */
+char *
+rfc1738_escape_part(const char *url)
+{
+    return rfc1738_do_escape(url, 1);
+}
+
+/*
  *  rfc1738_unescape() - Converts escaped characters (%xy numbers) in 
  *  given the string.  %% is a %. %ab is the 8-bit hexadecimal number "ab"
  */
@@ -138,16 +191,16 @@
 	s[i] = s[j];
 	if (s[i] != '%')
 	    continue;
-	if (s[j+1] == '%') {	/* %% case */
+	if (s[j + 1] == '%') {	/* %% case */
 	    j++;
 	    continue;
 	}
-	if (s[j+1] && s[j+2]) {
-	    hexnum[0] = s[j+1];
-	    hexnum[1] = s[j+2];
+	if (s[j + 1] && s[j + 2]) {
+	    hexnum[0] = s[j + 1];
+	    hexnum[1] = s[j + 2];
 	    hexnum[2] = '\0';
 	    if (1 == sscanf(hexnum, "%x", &x)) {
-	        s[i] = (char) (0x0ff & x);
+		s[i] = (char) (0x0ff & x);
 		j += 2;
 	    }
 	}
Index: squid/lib/safe_inet_addr.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/safe_inet_addr.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/safe_inet_addr.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/safe_inet_addr.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,5 +1,6 @@
+
 /*
- * $Id: safe_inet_addr.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: safe_inet_addr.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  */
 
 #include "config.h"
Index: squid/lib/snprintf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/snprintf.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/snprintf.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/snprintf.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,5 +1,5 @@
 /*
- * $Id: snprintf.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: snprintf.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  */
 
 /* ====================================================================
Index: squid/lib/splay.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/splay.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/splay.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/splay.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,5 +1,5 @@
 /*
- * $Id: splay.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: splay.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  */
 
 #include "config.h"
@@ -59,11 +59,11 @@
     l = r = &N;
 
     for (;;) {
-	splayLastResult = compare(data, top);
+	splayLastResult = compare(data, top->data);
 	if (splayLastResult < 0) {
 	    if (top->left == NULL)
 		break;
-	    if ((splayLastResult = compare(data, top->left)) < 0) {
+	    if ((splayLastResult = compare(data, top->left->data)) < 0) {
 		y = top->left;	/* rotate right */
 		top->left = y->right;
 		y->right = top;
@@ -77,7 +77,7 @@
 	} else if (splayLastResult > 0) {
 	    if (top->right == NULL)
 		break;
-	    if ((splayLastResult = compare(data, top->right)) > 0) {
+	    if ((splayLastResult = compare(data, top->right->data)) > 0) {
 		y = top->right;	/* rotate left */
 		top->right = y->left;
 		y->left = top;
@@ -100,7 +100,7 @@
 }
 
 void
-splay_destroy(splayNode * top, SPLAYFREE *free_func)
+splay_destroy(splayNode * top, SPLAYFREE * free_func)
 {
     if (top->left)
 	splay_destroy(top->left, free_func);
@@ -111,29 +111,43 @@
 }
 
 void
-splay_walk(splayNode *top, SPLAYWALKEE *walkee, void *state)
+splay_walk(splayNode * top, SPLAYWALKEE * walkee, void *state)
 {
     if (top->left)
 	splay_walk(top->left, walkee, state);
+    walkee(top->data, state);
     if (top->right)
 	splay_walk(top->right, walkee, state);
-    walkee(top->data, state);
 }
 
+#ifdef DEBUG
+void
+splay_dump_entry(void *data, int depth)
+{
+    printf("%*s%s\n", depth, "", (char *) data);
+}
 
-
-#ifdef DRIVER
+static void
+splay_do_dump(splayNode * top, void printfunc(void *data, int depth), int depth)
+{
+    if (!top)
+	return;
+    splay_do_dump(top->left, printfunc, depth + 1);
+    printfunc(top->data, depth);
+    splay_do_dump(top->right, printfunc, depth + 1);
+}
 
 void
-splay_print(splayNode * top, void (*printfunc) ())
+splay_dump(splayNode * top, void printfunc(void *data, int depth))
 {
-    if (top == NULL)
-	return;
-    splay_print(top->left, printfunc);
-    printfunc(top->data);
-    splay_print(top->right, printfunc);
+    splay_do_dump(top, printfunc, 0);
 }
 
+
+#endif
+
+#ifdef DRIVER
+
 typedef struct {
     int i;
 } intnode;
@@ -147,10 +161,10 @@
 }
 
 void
-printint(void *a)
+printint(void *a, void *state)
 {
     intnode *A = a;
-    printf("%d\n", A->i);
+    printf("%d\n", "", A->i);
 }
 
 main(int argc, char *argv[])
@@ -164,7 +178,7 @@
 	I->i = random();
 	top = splay_insert(I, top, compareint);
     }
-    splay_print(top, printint);
+    splay_walk(top, printint, NULL);
     return 0;
 }
 #endif /* DRIVER */
Index: squid/lib/stub_memaccount.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/stub_memaccount.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.2
diff -u -r1.1.1.1 -r1.1.1.2
--- squid/lib/stub_memaccount.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/lib/stub_memaccount.c	26 Jan 2000 03:25:00 -0000	1.1.1.2
@@ -1,10 +1,10 @@
 /*
- * $Id: stub_memaccount.c,v 1.1.1.1 2000/01/26 03:21:47 hno Exp $
+ * $Id: stub_memaccount.c,v 1.1.1.2 2000/01/26 03:25:00 hno Exp $
  */
 
 /* Stub function for programs not implementing statMemoryAccounted */
 #include <config.h>
-int 
+int
 statMemoryAccounted(void)
 {
     return -1;
Index: squid/lib/util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/util.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.3
diff -u -r1.1.1.2 -r1.1.1.3
--- squid/lib/util.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/lib/util.c	26 Jan 2000 03:25:00 -0000	1.1.1.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: util.c,v 1.1.1.2 2000/01/26 03:23:10 hno Exp $
+ * $Id: util.c,v 1.1.1.3 2000/01/26 03:25:00 hno Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -700,7 +700,7 @@
     return (int) rint(xpercent(part, whole));
 #else
     /* SCO 3.2v4.2 doesn't have rint() -- mauri@mbp.ee */
-    return (int) floor(xpercent(part, whole)+0.5);
+    return (int) floor(xpercent(part, whole) + 0.5);
 #endif
 }
 
@@ -715,7 +715,7 @@
 const char *
 xitoa(int num)
 {
-    static char buf[24]; /* 2^64 = 18446744073709551616 */
+    static char buf[24];	/* 2^64 = 18446744073709551616 */
     snprintf(buf, sizeof(buf), "%d", num);
     return buf;
 }
